Riru core is not installed

DrObada

New member
Oct 4, 2015
2
0
0
Good evening to you all
I'm trying to install xposed framework
I have magisk installed
I downloaded Riru v22.2 from the official site, and flashed it once using magisk manager and I tried also using TWRP.
And when I try to install xposed framework it keeps showing installation failure because riru core is not installed.
Any help please?
Thank you all
Please see image uploaded
Phone: Xiaomi redmi note 9s
OS : MIUI 12


Edit: I tried riru 21.3 and it was installed successfully, but modules still couldn't recognise that it was installed, and kept saying to install xposed framework.
 
Last edited:

uradryct

Member
Sep 5, 2012
21
0
21
some error.
Riru apk recognize riru core
But give me the error "no riru-core installed" when i try to install EdXposed

Im using a Galaxy A71
 

shah22

Senior Member
Apr 12, 2017
548
168
53
Pakistan
Same problem. Happened after updating the riru core through magisk to latest version.

Seems like ed exposed binaries need to be updated.

Solved. Just downgrade riru to version 21.3 ..

Sent from my hero2lte using XDA Labs
 
Last edited:

stormy1777

Senior Member
Feb 12, 2016
138
43
28
Trying to switch to Riru v23.4 it broke with above error 'riru - core not installed' and 'framework not active'.

To fix:
go to 'Canary' TAB in EDXposed Manager, download, and install v0.5.2.0_4672-master (from storage/magisk, or recovery)
install riru v23.4
Edxposed manager v4.5.7

no need for v21.3.
 

tehrzky

Senior Member
Oct 24, 2010
168
22
38
the only reason i use xposed is because of these modules sudohide,minminguard,xprivacy and xposededge. thats why i rollback to riru core( 21.3 ) and my edxposed core & manager.